%exam_8_31_1
clear;
N=input('序列f1的长度N=');
nf1=1:N;
f1n=cos(0.6*nf1);
M=input('序列f2的长度M=');
nf2=1:M;
f2n=0.9.^nf2;
L=pow2(nextpow2(M+N-1));
F1K=fft(f1n,L);
F2K=fft(f2n,L);
FK=F1K.*F2K;
fn=ifft(FK,L);
subplot(2,2,1),stem(nf1,f1n);
set(gca,'Fontsize',20);
ylabel('f1(n)','Fontsize',20,'linewidth',3);xlabel('n','Fontsize',20,'linewidth',3);
subplot(2,2,2),stem(nf2,f2n);
set(gca,'Fontsize',20);
ylabel('f2(n)','Fontsize',20,'linewidth',3);xlabel('n','Fontsize',20,'linewidth',3);
subplot(2,1,2),stem(1:L,fn);
set(gca,'Fontsize',20);
ylabel('f(n)','Fontsize',20,'linewidth',3);xlabel('n','Fontsize',20,'linewidth',3);

